<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: argos::CCrazyflieBatteryEquippedEntity Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceargos.html">argos</a></li><li class="navelem"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html">CCrazyflieBatteryEquippedEntity</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classargos_1_1CCrazyflieBatteryEquippedEntity-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">argos::CCrazyflieBatteryEquippedEntity Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="crazyflie__battery__equipped__entity_8h_source.html">src/plugins/robots/crazyflie/simulator/crazyflie_battery_equipped_entity.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for argos::CCrazyflieBatteryEquippedEntity:</div>
<div class="dyncontent">
<div class="center"><img src="classargos_1_1CCrazyflieBatteryEquippedEntity__inherit__graph.png" border="0" usemap="#aargos_1_1CCrazyflieBatteryEquippedEntity_inherit__map" alt="Inheritance graph"/></div>
<map name="aargos_1_1CCrazyflieBatteryEquippedEntity_inherit__map" id="aargos_1_1CCrazyflieBatteryEquippedEntity_inherit__map">
<area shape="rect" title=" " alt="" coords="5,80,172,121"/>
<area shape="rect" title=" " alt="" coords="55,5,122,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for argos::CCrazyflieBatteryEquippedEntity:</div>
<div class="dyncontent">
<div class="center"><img src="classargos_1_1CCrazyflieBatteryEquippedEntity__coll__graph.png" border="0" usemap="#aargos_1_1CCrazyflieBatteryEquippedEntity_coll__map" alt="Collaboration graph"/></div>
<map name="aargos_1_1CCrazyflieBatteryEquippedEntity_coll__map" id="aargos_1_1CCrazyflieBatteryEquippedEntity_coll__map">
<area shape="rect" title=" " alt="" coords="5,80,172,121"/>
<area shape="rect" title=" " alt="" coords="55,5,122,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a782bb563631aaa290daadf3bacdc88cd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#a782bb563631aaa290daadf3bacdc88cd">ENABLE_VTABLE</a> ()</td></tr>
<tr class="separator:a782bb563631aaa290daadf3bacdc88cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af89205fc79451f8613220a757a360678"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#af89205fc79451f8613220a757a360678">CCrazyflieBatteryEquippedEntity</a> (CComposableEntity *pc_parent)</td></tr>
<tr class="separator:af89205fc79451f8613220a757a360678"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe4472fcf0d2c6b6ad1a7f38cde04308"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#afe4472fcf0d2c6b6ad1a7f38cde04308">CCrazyflieBatteryEquippedEntity</a> (CComposableEntity *pc_parent, const std::string &amp;str_id, Real f_start_charge=1.0)</td></tr>
<tr class="separator:afe4472fcf0d2c6b6ad1a7f38cde04308"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac19e0eeae596efe1f85474031fc52df"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#aac19e0eeae596efe1f85474031fc52df">~CCrazyflieBatteryEquippedEntity</a> ()</td></tr>
<tr class="separator:aac19e0eeae596efe1f85474031fc52df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0389a95f52fdc0a1728d845501ab1ae"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#ac0389a95f52fdc0a1728d845501ab1ae">Init</a> (TConfigurationNode &amp;t_tree)</td></tr>
<tr class="separator:ac0389a95f52fdc0a1728d845501ab1ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16d03d17bd502c56e5225a0c8159349e"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#a16d03d17bd502c56e5225a0c8159349e">GetTypeDescription</a> () const</td></tr>
<tr class="separator:a16d03d17bd502c56e5225a0c8159349e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8fe5461d5f6a2e3eabde9c68212004d"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#ac8fe5461d5f6a2e3eabde9c68212004d">Update</a> ()</td></tr>
<tr class="separator:ac8fe5461d5f6a2e3eabde9c68212004d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38507bef1da00d37d6e14bc81bfa05a0"><td class="memItemLeft" align="right" valign="top">Real&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#a38507bef1da00d37d6e14bc81bfa05a0">GetAvailableCharge</a> () const</td></tr>
<tr class="separator:a38507bef1da00d37d6e14bc81bfa05a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a538e635d2abdaeb4748f95c424b85a24"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#a538e635d2abdaeb4748f95c424b85a24">SetAvailableCharge</a> (Real f_available_charge)</td></tr>
<tr class="separator:a538e635d2abdaeb4748f95c424b85a24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08660c1c570b6fba05297ba5c04ceddf"><td class="memItemLeft" align="right" valign="top">Real&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#a08660c1c570b6fba05297ba5c04ceddf">GetTimeLeft</a> () const</td></tr>
<tr class="separator:a08660c1c570b6fba05297ba5c04ceddf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:acc294cb877f79f08efd06e8e0645f17e"><td class="memItemLeft" align="right" valign="top">Real&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#acc294cb877f79f08efd06e8e0645f17e">m_fTimeLeft</a></td></tr>
<tr class="separator:acc294cb877f79f08efd06e8e0645f17e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2216f244d7068145f0dfee4b6da5efc"><td class="memItemLeft" align="right" valign="top">Real&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CCrazyflieBatteryEquippedEntity.html#aa2216f244d7068145f0dfee4b6da5efc">m_fAvailableCharge</a></td></tr>
<tr class="separator:aa2216f244d7068145f0dfee4b6da5efc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The battery entity. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="af89205fc79451f8613220a757a360678"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af89205fc79451f8613220a757a360678">&#9670;&nbsp;</a></span>CCrazyflieBatteryEquippedEntity() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::CCrazyflieBatteryEquippedEntity::CCrazyflieBatteryEquippedEntity </td>
          <td>(</td>
          <td class="paramtype">CComposableEntity *&#160;</td>
          <td class="paramname"><em>pc_parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afe4472fcf0d2c6b6ad1a7f38cde04308"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe4472fcf0d2c6b6ad1a7f38cde04308">&#9670;&nbsp;</a></span>CCrazyflieBatteryEquippedEntity() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::CCrazyflieBatteryEquippedEntity::CCrazyflieBatteryEquippedEntity </td>
          <td>(</td>
          <td class="paramtype">CComposableEntity *&#160;</td>
          <td class="paramname"><em>pc_parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>str_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Real&#160;</td>
          <td class="paramname"><em>f_start_charge</em> = <code>1.0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aac19e0eeae596efe1f85474031fc52df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac19e0eeae596efe1f85474031fc52df">&#9670;&nbsp;</a></span>~CCrazyflieBatteryEquippedEntity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">argos::CCrazyflieBatteryEquippedEntity::~CCrazyflieBatteryEquippedEntity </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a782bb563631aaa290daadf3bacdc88cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a782bb563631aaa290daadf3bacdc88cd">&#9670;&nbsp;</a></span>ENABLE_VTABLE()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::CCrazyflieBatteryEquippedEntity::ENABLE_VTABLE </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a38507bef1da00d37d6e14bc81bfa05a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38507bef1da00d37d6e14bc81bfa05a0">&#9670;&nbsp;</a></span>GetAvailableCharge()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Real argos::CCrazyflieBatteryEquippedEntity::GetAvailableCharge </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a08660c1c570b6fba05297ba5c04ceddf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08660c1c570b6fba05297ba5c04ceddf">&#9670;&nbsp;</a></span>GetTimeLeft()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Real argos::CCrazyflieBatteryEquippedEntity::GetTimeLeft </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a16d03d17bd502c56e5225a0c8159349e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a16d03d17bd502c56e5225a0c8159349e">&#9670;&nbsp;</a></span>GetTypeDescription()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::string argos::CCrazyflieBatteryEquippedEntity::GetTypeDescription </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac0389a95f52fdc0a1728d845501ab1ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0389a95f52fdc0a1728d845501ab1ae">&#9670;&nbsp;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieBatteryEquippedEntity::Init </td>
          <td>(</td>
          <td class="paramtype">TConfigurationNode &amp;&#160;</td>
          <td class="paramname"><em>t_tree</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a538e635d2abdaeb4748f95c424b85a24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a538e635d2abdaeb4748f95c424b85a24">&#9670;&nbsp;</a></span>SetAvailableCharge()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieBatteryEquippedEntity::SetAvailableCharge </td>
          <td>(</td>
          <td class="paramtype">Real&#160;</td>
          <td class="paramname"><em>f_available_charge</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac8fe5461d5f6a2e3eabde9c68212004d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8fe5461d5f6a2e3eabde9c68212004d">&#9670;&nbsp;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CCrazyflieBatteryEquippedEntity::Update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aa2216f244d7068145f0dfee4b6da5efc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2216f244d7068145f0dfee4b6da5efc">&#9670;&nbsp;</a></span>m_fAvailableCharge</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Real argos::CCrazyflieBatteryEquippedEntity::m_fAvailableCharge</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Available charge </p>

</div>
</div>
<a id="acc294cb877f79f08efd06e8e0645f17e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc294cb877f79f08efd06e8e0645f17e">&#9670;&nbsp;</a></span>m_fTimeLeft</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Real argos::CCrazyflieBatteryEquippedEntity::m_fTimeLeft</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Time Left </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/plugins/robots/crazyflie/simulator/<a class="el" href="crazyflie__battery__equipped__entity_8h_source.html">crazyflie_battery_equipped_entity.h</a></li>
<li>src/plugins/robots/crazyflie/simulator/<a class="el" href="crazyflie__battery__equipped__entity_8cpp.html">crazyflie_battery_equipped_entity.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
